#!/usr/bin/python3
# This Python script checks if the student's file contains
# the word Hello

import os, sys

# Check if student submitted the file
studentfile_full_path = os.path.join(os.environ['submitdir'], os.environ['studentfile'])
if not os.path.isfile(studentfile_full_path):
    print("File %s was not submitted" % os.environ['studentfile'])
    sys.exit(1)

# File exists, so check if it contains Hello
with open(studentfile_full_path) as f:
    if "Hello" in f.read():
        # File contains Hello, so pass by exitting with code 0
        sys.exit(0)

# If we get here, the student's file doesn't contain Hello
# Display a feedback message and fail the test case
print("Your code doesn't contain Hello")
print("Please add it somewhere and re-submit")
sys.exit(1)
